EDIT - bug #7557

TaxonNamePopEditor: com.vaadin.data.Property$ReadOnlyException on saving a sub popup editor

07/17/2018 05:31 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.2

Severity: major Found in Version:

Description

potentially caused by the same bug as #7574

from the stacktrace it is not clear which popup editor was being saved when this exception occurred:

[phycobank_production] 2018-07-17 15:43:44,927 DEBUG gtpl289479439-580 [eu.etaxonomy.vaadin.mvp.Ab
stractPopupEditor] - preCommit (), publishing EditorPreSaveEvent

[phycobank_production] 2018-07-17 15:43:44,959 DEBUG gtpl289479439-580 [eu.etaxonomy.vaadin.mvp.Ab
stractPopupEditor] - field: ToOneRelatedEntityCombobox

:43:44,959 DEBUG gtpl289479439-580 [eu.etaxonomy.vaadin.mvp.Ab

[phycobank_production] 2018-07-17 15

stractPopupEditor] - parentComponent:

[phycobank_production] 2018-07-17 15

stractPopupEditor] - parentComponent:

[phycobank_production] 2018-07-17 15

stractPopupEditor] - parentComponent:

[phycobank_production] 2018-07-17 15

stractPopupEditor] - parentComponent:

[phycobank_production] 2018-07-17 15

stractPopupEditor] - parentComponent:

[phycobank_production] 2018-07-17 15
stractPopupEditor] - com.vaadin.data
[phycobank_production] 2018-07-17 15
ons.errorwindow.ErrorWindow] - Error

GridLayout

:43:44,959 DEBUG gtpl289479439-580 [eu.etaxonomy.vaadin.mvp.Ab

Verticallayout

:43:44,959 DEBUG gtpl289479439-580 [eu.etaxonomy.vaadin.mvp.Ab

TaxonNamePopupEditor

:43:44,959 DEBUG gtpl289479439-580 [eu.etaxonomy.vaadin.mvp.Ab

Window

:43:44,959 DEBUG gtpl289479439-580 [eu.etaxonomy.vaadin.mvp.Ab

RegistrationUI

:43:44,961 ERROR gtpl289479439-580 [eu.etaxonomy.vaadin.mvp.Ab

.Buffered$SourceException

:43:44,978 ERROR gtpl289479439-580 [com.flowingcode.vaadin.add

occurred 5d05edl1d-02d3-4fbe-b93c-8ecb71b836d9

com.vaadin.server.ServerRpcManager$SRpcInvocationException: Unable to invoke method click in com.va

adin.shared.ui.button.ButtonServerRpc
at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager.java:162)
at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager.java:119)

at com.vaadin.server.communication.ServerRpcHandler.handleInvocation (ServerRpcHandler. java

:437)

at com.vaadin.server.communication.ServerRpcHandler.handleInvocations (ServerRpcHandler. jav

a:402)

at com.vaadin.server.communication.ServerRpcHandler.handleRpc (ServerRpcHandler. java:273)
at com.vaadin.server.communication.UidlRequestHandler.synchronizedHandleRequest (UidlReques

tHandler. java:90)

at com.vaadin.server.SynchronizedRequestHandler.handleRequest (SynchronizedRequestHandler. j

ava:41)

at com.vaadin.server.VaadinService.handleRequest (VaadinService.java:1436)

at com.vaadin.server.VaadinServlet.service (VaadinServlet.java:380)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder. java:808)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1669)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha

inProxy.java:316)

at org.springframework.security.

erSecurityInterceptor.java:126)

at org.springframework.security.web

lterSecurityInterceptor. java:90)

at org.springframework.security.web.

inProxy.java:330)

at org.springframework.security.web.

anslationFilter.java:114)

at org.springframework.security.web.
web.

access.intercept.FilterSecurityInterceptor.invoke (Filt

.access.intercept.FilterSecurityInterceptor.doFilter (Fi

FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
access.ExceptionTranslationFilter.doFilter (ExceptionTr

FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManage
mentFilter. java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter (
AnonymousAuthenticationFilter.java:111)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doF
ilter (SecurityContextHolderAwareRequestFilter. java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy. java:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestC
acheAwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterI
nternal (BasicAuthenticationFilter.java:158)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.ocauth2.provider.authentication.OAuth2AuthenticationProcess
ingFilter.doFilter (OAuth2AuthenticationProcessingFilter. java:176)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilt
er.java:120)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWrite
rFilter. java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy. java:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (Secu
rityContextPersistenceFilter.java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter
.doFilterInternal (WebAsyncManagerIntegrationFilter. java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. jav
a:213)

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterPro
Xy .java:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. jav
a:262)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1652)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodi
ngFilter.java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1652)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:585)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:577)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:223)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1127)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:515)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler. java:185)

04/23/2024 2/7




at
at
at

on.java:215)

at
at
at
at
at
at
at
at
Caused by:
at
at
at
at

Caused by:

.etaxonomy.

at
at
at
at
at
at

Caused by:
at
at

ava:163)
at
at
at
at

Caused by:
at
at

Caused by:
at

java:363)
at
at

Caused by:
org.eclipse. jetty.server.handler.ContextHandler.doScope (ContextHandler.java:1061)
org.eclipse. jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)
org.eclipse. jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollecti
org.eclipse. jetty.server.handler.HandlerWrapper.handle (HandlerWrapper. java:97)
org.eclipse. jetty.server.Server.handle (Server.java:497)

org.eclipse. jetty.server.HttpChannel.handle (HttpChannel. java:310)

org.eclipse. jetty.server.HttpConnection.onFillable (HttpConnection.java:257)
org.eclipse. jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)
org.eclipse. jetty.util.thread.QueuedThreadPool.rundob (QueuedThreadPool. java:635)
org.eclipse.jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)
java.lang.Thread.run (Thread. java:748)

java.lang.reflect.InvocationTargetException
sun.reflect.GeneratedMethodAccessor2171.invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method. invoke (Method. java:498)
com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:158)

66 more
com.vaadin.event.ListenerMethod$MethodException: Invocation of method buttonClick in eu
.AbstractPopupEditor$$Lambdas$146/550499508 failed.

event .ListenerMethod.receiveEvent (ListenerMethod. java:533)

vaadin.mvp
com.vaadin.

com.vaadin.event.EventRouter.fireEvent (EventRouter. java:200)
com.vaadin.event.EventRouter.fireEvent (EventRouter. java:163)
com.vaadin.server.AbstractClientConnector.fireEvent (AbstractClientConnector. java:1015)
com.vaadin.ui.Button.fireClick (Button. java:377)
com.vaadin.ui.Button$l.click (Button. java:54)

70 more

java.lang.RuntimeException: Error saving
eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.save (AbstractPopupEditor. java:408)
eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.lambda$new$fad408e6$1 (AbstractPopupEditor. j

sun.reflect.GeneratedMethodAccessor2172.1invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method. invoke (Method. java:498)
com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:510)

75 more
com.

vaadin.data.fieldgroup.FieldGroup$CommitException: Commit failed

com.vaadin.data.fieldgroup.FieldGroup.commit (FieldGroup.java:509)
eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.save (AbstractPopupEditor. java:395)

80 more
com.vaadin.data.fieldgroup.FieldGroup$CommitException: Failed to store data to backend
eu.etaxonomy.vaadin.mvp.AbstractPopupEditor$SaveHandler.postCommit (AbstractPopupEditor.
vaadin

com. .data.fieldgroup.FieldGroup.firePostCommitEvent (FieldGroup. java:625)

com.vaadin.data.fieldgroup.FieldGroup.commit (FieldGroup.java:501)
81

com.

more
vaadin.data.Buffered$SourceException

com.vaadin.ui.AbstractField.setPropertyDataSource (AbstractField. java:664)
.data.fieldgroup.FieldGroup.bind (FieldGroup. java:273)
data.fieldgroup.BeanFieldGroup.bind (BeanFieldGroup. java:155)
data.fieldgroup.FieldGroup.bindFields (FieldGroup. java:113)
.data.fieldgroup.FieldGroup.setItemDataSource (FieldGroup. java:103)

data.fieldgroup.BeanFieldGroup.setItemDataSource (BeanFieldGroup. java:126)

com.vaadin

com.vaadin.
com.vaadin.
com.vaadin
com.vaadin.

eu.etaxonomy.cdm.vaadin.component .common.TeamOrPersonField.setInternalValue (TeamOrPerso

nField. java:207)

at

eu.etaxonomy.cdm.vaadin.component .common.TeamOrPersonField.setInternalValue (TeamOrPerso

nField.java:55)

at
at
at

com.vaadin.ui.AbstractField.updateValueFromDataSource (AbstractField. java:1695)
com.vaadin.ui.AbstractField.discard (AbstractField. java:297)
eu.etaxonomy.cdm.vaadin.view.name.TaxonNameEditorPresenter.onEntityChangeEvent (TaxonNam

eEditorPresenter. java:394)

at
at
at
at
at
ava:78)
sun.reflect.NativeMethodAccessorImpl.invoke(O (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method. invoke (Method. java:498)
org.vaadin.spring.events.internal.MethodListenerWrapper.publish (MethodListenerWrapper.j
at org.vaadin.spring.events.internal.ListenerCollection.publish(ListenerCollection.java:16

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:116)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus.java:109)

at eu.etaxonomy.vaadin.mvp.CdmEditorPresenterBase.onEditorSaveEvent (CdmEditorPresenterBase
.Java:211)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.vaadin.spring.events.internal.MethodListenerWrapper.publish (MethodListenerWrapper. j
ava:78)

at org.vaadin.spring.events.internal.ListenerCollection.publish(ListenerCollection.java:16

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus.java:116)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:109)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor$SaveHandler.postCommit (AbstractPopupEditor.
java:355)

... 83 more
Caused by: com.vaadin.data.Property$SReadOnlyException

at com.vaadin.ui.AbstractField.setValue (AbstractField. java:493)

at com.vaadin.ui.AbstractField.setValue (AbstractField.java:468)

at com.vaadin.ui.AbstractField.setValue (AbstractField.java:453)

at eu.etaxonomy.cdm.vaadin.component.common.PersonField.setValue (PersonField. java:280)

at eu.etaxonomy.cdm.vaadin.component.common.PersonField.setValue (PersonField. java:42)

at eu.etaxonomy.vaadin.component.ToManyRelatedEntitiesListSelect.createFieldsForData (ToMan
yRelatedEntitiesListSelect. java:270)

at eu.etaxonomy.vaadin.component.ToManyRelatedEntitiesListSelect.setInternalValue (ToManyRe
latedEntitiesListSelect. java:246)

at eu.etaxonomy.vaadin.component.ToManyRelatedEntitiesListSelect.setInternalValue (ToManyRe
latedEntitiesListSelect. java:48)

at com.vaadin.ui.AbstractField.setPropertyDataSource (AbstractField. java:657)

111 more

Related issues:
Related to EDIT - bug #7386: TaxonNamePopEditor: com.vaadin.data.Property$Rea... Closed

History

#1 - 07/20/2018 11:30 AM - Andreas Kohlbecker
- Related to bug #7386: TaxonNamePopEditor: com.vaadin.data.Property$ReadOnlyException on saving a basionym added

#2 - 07/20/2018 11:31 AM - Andreas Kohlbecker

[another report of the same bug:]

Lieber Andreas,
http://test.e-taxonomy.eu/cdmserver/phycobank_production/app/registration#!workingset/dd64b63a-7554-465b-b9f0-276de43bc9cb

Gestern habe ich an dem Registraiton Working set das Section team ,Rimet & Jahn“ einbauen wollen und bekam dabei eine Fehlermeldung.
Jetzt war das Team vorhanden, aber auch beim Auswé&hlen bekam ich einen (bekannten) Fehler:

com.vaadin.server.ServerRpcManager$RpcInvocationException: Unable to invoke method click in com.vaadin.shared.
ui.button.ButtonServerRpc
at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:162)
at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:119)
at com.vaadin.server.communication.ServerRpcHandler.handleInvocation (ServerRpcHandler. java:437)
at com.vaadin.server.communication.ServerRpcHandler.handleInvocations (ServerRpcHandler. java:402

at com.vaadin.server.communication.ServerRpcHandler.handleRpc (ServerRpcHandler. java:273)

at com.vaadin.server.communication.UidlRequestHandler.synchronizedHandleRequest (UidlRequestHand
ler.java:90)

at com.vaadin.server.SynchronizedRequestHandler.handleRequest (SynchronizedRequestHandler. java:4
1)

at com.vaadin.server.VaadinService.handleRequest (VaadinService. java:1436)

at com.vaadin.server.VaadinServlet.service (VaadinServlet. java:380)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse. jetty.servlet.ServletHolder.handle (ServletHolder. java:808)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1669)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPro

04/23/2024 4/7



http://test.e-taxonomy.eu/cdmserver/phycobank_production/app/registration#!workingset/dd64b63a-7554-465b-b9f0-276de43bc9cb

xy.Jjava:316)

at org.springframework.security.web.
urityInterceptor.java:126)

at org.springframework.security.web.
ecurityInterceptor.java:90)

at org.springframework.security.web.
xy.java:330)

at org.springframework.security.web
tionFilter.java:114)

at org.springframework.security.web.
xy.java:330)

at org.springframework.security.web.
ilter.java:122)

at org.springframework.security.web.
xy.Jjava:330)

at org.springframework.security.web.
mousAuthenticationFilter. java:111)

at org.springframework.security.web.

xy.java:330)

at org.springframework.security.web.

(SecurityContextHolderAwareRequestFilter. java:169)

at org.springframework.security.web.

xy.java:330)

at org.springframework.security.web.

wareFilter. java:48)

at org.springframework.security.web.

xy.Jjava:330)

at org.springframework.security.web.

al (BasicAuthenticationFilter. java:158)

access.intercept.FilterSecurityInterceptor.invoke (FilterSec
access.intercept.FilterSecurityInterceptor.doFilter (FilterS
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPro
.access.ExceptionTranslationFilter.doFilter (ExceptionTransla
session.SessionManagementFilter.doFilter (SessionManagementF
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPro
authentication.AnonymousAuthenticationFilter.doFilter (Anony
servletapi.SecurityContextHolderAwareRequestFilter.doFilter
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPro
savedrequest .RequestCacheAwareFilter.doFilter (RequestCacheA
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPro

authentication.www.BasicAuthenticationFilter.doFilterIntern

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web
xy.java:330)

.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPro

at org.springframework.security.oauth2.provider.authentication.OAuth2AuthenticationProcessingFi

lter.doFilter (OAuth2AuthenticationProcessingFilter
at org.springframework.security.web

xy.Jjava:330)

at org.springframework.security.web
va:120)

at org.springframework.security.web
xy.java:330)

at org.springframework.security.web
er.java:64)

at org.springframework.

at org.springframework.security.web
xy.Jjava:330)

at org.springframework.
ontextPersistenceFilter. java:91)

at org.springframework.
xy.java:330)

at org.springframework.security.web.
lterInternal (WebAsyncManagerIntegrationFilter. java:
security.web.

security.web.

.java:176)
.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPro

.authentication.logout.LogoutFilter.doFilter (LogoutFilter. ja
.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPro

.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFilt

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPro
context.SecurityContextPersistenceFilter.doFilter (SecurityC
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPro

context.request.async.WebAsyncManagerIntegrationFilter.doFi
53)

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPro
.FilterChainProxy.doFilterInternal (FilterChainProxy.java:213

.FilterChainProxy.doFilter (FilterChainProxy.java:176)

web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy. ja
web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java:262

eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)
springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFil

springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)
servlet.ServletHandler.doHandle (ServletHandler. java:585)

.ScopedHandler.handle (ScopedHandler. java:143)

security.SecurityHandler.handle (SecurityHandler. java:577)

.SessionHandler.doHandle (SessionHandler. java:223)
.ContextHandler.doHandle (ContextHandler. java:1127)

servlet.ServletHandler.doScope (ServletHandler. java:515)

.SessionHandler.doScope (SessionHandler. java:185)
.ContextHandler.doScope (ContextHandler. java:1061)
.ScopedHandler.handle (ScopedHandler. java:141)
.Jjetty.

server.handler.ContextHandlerCollection.handle (ContextHandlerCollection. ja

server.handler.HandlerWrapper.handle (HandlerWrapper. java:97)
server.Server.handle (Server.java:497)
server.HttpChannel.handle (HttpChannel. java:310)
server.HttpConnection.onFillable (HttpConnection. java:257)
io.AbstractConnection$2.run (AbstractConnection. java:540)
util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)
util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)

java.lang.Thread.run (Thread. java:748)

Caused by: java.lang.reflect.InvocationTargetException
sun.reflect.GeneratedMethodAccessor2151.invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:158)

66

more

aadin.mvp.AbstractPopupEditor$$Lambda$72/303733162 failed.

event .ListenerMethod.receiveEvent (ListenerMethod. java:533)
event .EventRouter.fireEvent (EventRouter. java:200)

event .EventRouter.fireEvent (EventRouter. java:163)

at
at
at
at
at
at

com

com.

com

com.

70

.vaadin.
com.

vaadin.
vaadin.

.vaadin.
com.

vaadin.
vaadin.
more

server.

AbstractClientConnector.fireEvent (AbstractClientConnector.java:1015)

ui.Button.fireClick (Button.java:377)
ui.Button$l.click (Button. java:54)

Caused by: java.lang.RuntimeException: Error saving

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.save (AbstractPopupEditor. java:408)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.lambda$new$fad408e6$1 (AbstractPopupEditor. java:l

63)
at
at
at
at

sun.reflect.GeneratedMethodAccessor2152.invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:510)

75

more

Caused by: com.vaadin.data.fieldgroup.FieldGroup$CommitException: Commit failed
at com.vaadin.data.fieldgroup.FieldGroup.commit (FieldGroup.java:509)
at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.save (AbstractPopupEditor. java:395)

80

more

Caused by: com.vaadin.data.fieldgroup.FieldGroup$CommitException: Failed to store data to backend

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor$SaveHandler.postCommit (AbstractPopupEditor. java:

363)
at
at

Caused by: com.vaadin.

at
at
at
at
at
d.java:203)
at
d.java:55)
at
at
at
com
81

com

com.

com

com.
eu.etaxonomy.cdm.vaadin.component .common.TeamOrPersonField.setInternalValue (TeamOrPersonFiel

eu.etaxonomy.cdm.vaadin.component.common.TeamOrPersonField.setInternalValue (TeamOrPersonFiel

vaadin.data.fieldgroup.FieldGroup.firePostCommitEvent (FieldGroup. java:625)

more

.vaadin.data.fieldgroup.FieldGroup.commit (FieldGroup.java:501)

data.Buffered$SourceException
ui.AbstractField.setPropertyDataSource (AbstractField. java:664)
data.fieldgroup.FieldGroup.bind (FieldGroup. java:273)
data.fieldgroup.BeanFieldGroup.bind (BeanFieldGroup. java:155)
data.fieldgroup.FieldGroup.bindFields (FieldGroup. java:113)
data.fieldgroup.FieldGroup.setItemDataSource (FieldGroup. java:103)

.vaadin.
com.

vaadin.
vaadin.

.vaadin.
com.

vaadin.
vaadin.

data.fieldgroup.BeanFieldGroup.setItemDataSource (BeanFieldGroup. java:126)

com.vaadin.ui.AbstractField.updateValueFromDataSource (AbstractField. java:1695)
com.vaadin.ui.AbstractField.discard (AbstractField. java:297)

eu.etaxonomy.cdm.vaadin.view.name.TaxonNameEditorPresenter.onEntityChangeEvent (TaxonNameEdit

orPresenter. java:394)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
at
at
at
at
at
eu.etaxonomy.vaadin.mvp.CdmEditorPresenterBase.onEditorSaveEvent (CdmEditorPresenterBase. java

events.internal.MethodListenerWrapper.publish (MethodListenerWrapper. java:7

events.internal.ListenerCollection.publish(ListenerCollection.java:167)

events.internal.ScopedEventBus.publish (ScopedEventBus. java:116)
events.internal.ScopedEventBus.publish (ScopedEventBus. java:109)

sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
at org.vaadin.spring.events.internal.ListenerCollection.publish(ListenerCollection. java:167)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:116)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:109)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor$SaveHandler.postCommit (AbstractPopupEditor. java:
355)

83 more

Caused by: com.vaadin.data.Property$SReadOnlyException

at com.vaadin.ui.AbstractField.setValue (AbstractField. java:493)

at com.vaadin.ui.AbstractField.setValue (AbstractField.java:468)

at com.vaadin.ui.AbstractField.setValue (AbstractField.java:453)

at eu.etaxonomy.cdm.vaadin.component.common.PersonField.setValue (PersonField. java:280)

at eu.etaxonomy.cdm.vaadin.component.common.PersonField.setValue (PersonField. java:42)

at eu.etaxonomy.vaadin.component.ToManyRelatedEntitiesListSelect.createFieldsForData (ToManyRela
tedEntitiesListSelect.java:270)

at eu.etaxonomy.vaadin.component.ToManyRelatedEntitiesListSelect.setInternalValue (ToManyRelated
EntitiesListSelect.java:246)

at eu.etaxonomy.vaadin.component.ToManyRelatedEntitiesListSelect.setInternalValue (ToManyRelated
EntitiesListSelect.java:48)

at com.vaadin.ui.AbstractField.setPropertyDataSource (AbstractField. java:657)

111 more

Viele Griufe,
Henning

#3 - 07/20/2018 05:42 PM - Andreas Kohlbecker
- Description updated

- Status changed from New to Feedback

I can no longer reproduce this issue since #7574 is fixed.

Henning, please try be yourself to reproduce this bug. Please close this issue if the exact problem described here is no longer occurring as
"worksforme"

#4 - 07/20/2018 05:42 PM - Andreas Kohlbecker
- Description updated
- Status changed from Feedback to Resolved

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

#5 - 08/03/2018 01:48 PM - Andreas Kohlbecker
- Status changed from Resolved to Worksforme

- % Done changed from 0 to 100

this issue did not occure since 14 days, seems to be solved

#6 - 08/20/2018 01:35 PM - Wolf-Henning Kusber
- Status changed from Worksforme to Closed

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker
